$packageName    = 'kubernetes-cli'
$url            = 'https://dl.k8s.io/v1.8.5/kubernetes-client-windows-386.tar.gz'
$url64          = 'https://dl.k8s.io/v1.8.5/kubernetes-client-windows-amd64.tar.gz'
$checksum       = 'b78e04b0bc400f3f7a012cef630fd3757c12d54f16b180470d722c4d678867e1'
$checksum64     = 'a0b32d3fcd5e692a452d2a38a6dd34a7f3e40e22e88e4cfba77ae224e07d8565'
$checksumType   = 'sha256'
$checksumType64 = 'sha256'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$tempDir    = "$toolsDir\temp"


# Download and unzip into a temp folder
Install-ChocolateyZipPackage -PackageName "$packageName" -UnzipLocation "$tempDir" -Url "$url" -Url64 "$url64" -Checksum "$checksum" -ChecksumType "$checksumType" -Checksum64 "$checksum64" -ChecksumType64 "$checksumType64"

# Untar into tools folder
Get-ChocolateyUnzip -PackageName "$packageName" -FileFullPath "$tempDir" -Destination "$toolsDir"

# Remove temp folder
Remove-Item "$tempDir\*" -recurse
Remove-Item "$tempDir"
